# Create encrypted card data for Samsung Pay Get encrypted card data to provision a token via Samsung SDK push-provisioning. Also returned is cardholder identifying information. **Notes**: * This is a PCI endpoint, use the https://gw-pci.pismolabs.io/cards-tokenization environment. * This endpoint takes an account token - an access token encoded with a Pismo account ID. * Currently only available for Visa # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Tokenization", "description": "API endpoints for card tokenization.", "version": "1.0.0", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://gw-pci.pismolabs.io/cards-tokenization", "description": "PCI API server for testing" }, { "url": "https://pci.pismolabs.io/cards-tokenization", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "Pre-digitalization", "description": "Pre-digitalization endpoints" } ], "components": { "parameters": { "CardIDpath": { "name": "cardId", "in": "path", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "AdditionalInfo": { "type": "object", "properties": { "name": { "type": "string", "description": "Name" }, "address": { "type": "string", "description": "Address" }, "country": { "type": "string", "description": "Country" }, "city": { "type": "string", "description": "City" }, "state": { "type": "string", "description": "State" }, "phone": { "type": "string", "description": "Phone" }, "printed_name": { "type": "string", "description": "Name printed on card" }, "last_4_digits": { "type": "string", "description": "Last 4 PAN digits" } } }, "EncryptedDataObject": { "type": "object", "description": "Encrypted data object", "properties": { "push_data": { "$ref": "#/components/schemas/PushData" }, "additional_info": { "$ref": "#/components/schemas/AdditionalInfo" }, "has_address_info": { "$ref": "#/components/schemas/HasAddressInfo" }, "has_phone_info": { "$ref": "#/components/schemas/HasPhoneInfo" } } }, "PushProvisioningSamsungObjectRequest": { "type": "object", "properties": { "client_wallet_account_id": { "type": "string", "description": "Client-provided wallet account holder ID. **REQUIRED** for Visa. See Visa documentation for more information.", "example": "ABC-198" }, "client_device_id": { "type": "string", "description": "Stable device identifcation from wallet provider. **REQUIRED** for Visa. See Visa documentation for more information.", "example": "ABC-198" }, "client_app_id": { "type": "string", "description": "Client application unique ID from Visa. **REQUIRED** for Visa. See Visa documentation for more information.", "example": "ABC-198" }, "client_wallet_provider": { "type": "string", "description": "Client wallet provider - the token requestor's ID (TRID) given to the wallet provider during onboarding. **REQUIRED** for Visa.", "example": "ABC-198" } } }, "ErrorObject": { "type": "object", "description": "Standard error object", "properties": { "error_code": { "type": "string", "description": "Error code" }, "message": { "type": "string", "description": "Error message" } } }, "HasAddressInfo": { "type": "boolean", "description": "If `true`, cardholder address information exists on Pismo platform. If `false`, some fields inside `additional_info` are not returned. \n" }, "HasPhoneInfo": { "type": "boolean", "description": "If `true`, cardholder phone information exists on Pismo platform. If `false`, some fields inside `additional_info` are not returned. \n" }, "PushData": { "type": "object", "description": "Encrypted data" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a \"**401 Unauthorized**\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorObject" }, "examples": { "example-1": { "value": { "error_code": "ERR93836", "message": "Card profile can't be null" } } } } } }, "401Unauthorized": { "description": "Access token is missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorObject" }, "examples": { "example-1": { "value": { "error_code": "ERR9786", "message": "Access token is missing or invalid" } } } } } }, "500InternalServerError": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorObject" }, "examples": { "example-1": { "value": { "error_code": "ERR5446", "message": "Internal server error" } } } } } } } }, "security": [ { "BearerAuth": [] } ], "paths": { "/v1/cards/{cardId}/network-tokens/push-provisioning/wallets/samsungpay": { "parameters": [ { "$ref": "#/components/parameters/CardIDpath" } ], "post": { "summary": "Create encrypted card data for Samsung Pay", "description": "\nGet encrypted card data to provision a token via Samsung SDK push-provisioning. Also returned is cardholder identifying information.\n\n**Notes**: \n * This is a PCI endpoint, use the https://gw-pci.pismolabs.io/cards-tokenization environment.\n * This endpoint takes an account token - an access token encoded with a Pismo account ID.\n * Currently only available for Visa\n", "operationId": "post-wallet-data-samsung", "tags": [ "Pre-digitalization" ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PushProvisioningSamsungObjectRequest" } } } }, "responses": { "200": { "description": "Success", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EncryptedDataObject" }, "examples": { "visa": { "summary": "VISA sample response", "value": { "push_data": { "Token": "eyJhbGciOiJBMjU2R0NNS1ciLCJjaGFu..." }, "additional_info": { "name": "Colab Org Antiga Empresa\"", "address": "", "country": "", "city": "", "state": "", "phone": "", "printed_name": "Colab Org Antiga Empresa", "last_4_digits": "5112" }, "has_address_info": false, "has_phone_info": false } } } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```